CREATE TABLE IF NOT EXISTS GG_MS_PERSON
(
    PK_PERSON DECIMAL(38,0),
    PK_CLIENT DECIMAL(38,0),
    PERSON_TYPE DECIMAL(38,0),
    PRIVILEGE INTEGER,
    LANG VARCHAR2(3),
    REF_NO VARCHAR2(50),
    "AUTHORIZATION"  NUMBER(1,0),
    ISAGENT NUMBER(1,0),
    FIRSTNAME VARCHAR2(50),
    LASTNAME VARCHAR2(50),
    PERSON_USERNAME VARCHAR2(75),
    PASSWORD1 VARCHAR2(88),
    PASSWORD2 VARCHAR2(50),
    PASSWORD3 VARCHAR2(50),
    PASSWORD4 VARCHAR2(50),
    ISFAMILIAR NUMBER(1,0),
    ADDRESS_1 VARCHAR2(100),
    ADDRESS_2 VARCHAR2(100),
    ADDRESS_3 VARCHAR2(100),
    CITY VARCHAR2(50),
    STATE_PROV VARCHAR2(100),
    COU_COUNTRY_ID NUMBER,
    ZIP VARCHAR2(30),
    EMAIL VARCHAR2(75),
    PHONE VARCHAR2(50),
    ALT_PHONE VARCHAR2(50),
    FAX VARCHAR2(50),
    PK_DEPARTMENT DECIMAL(38,0),
    AWARDS_TOYEAR NUMBER(10,2),
    CREATED DATE,
    MODIFIED DATE,
    USER_DEF1 VARCHAR2(100),
    USER_DEF2 VARCHAR2(100),
    USER_DEF3 VARCHAR2(100),
    DEFAULT_PASSWORD VARCHAR2(88),
    EXPIRED DATE,
    COST_CENTRE VARCHAR2(25),
    HIRE_DATE DATE,
    USER_DEF4 VARCHAR2(100),
    PICTURE_UPLOADED NUMBER(1,0),
    ORG_LEVEL_1 VARCHAR2(100),
    ORG_LEVEL_2 VARCHAR2(100),
    ORG_LEVEL_3 VARCHAR2(100),
    MOBILE_ACTIVE DECIMAL(38,0),
    DEVICE_ID VARCHAR2(50),
    PASSWORD_EXPIRED_DATE DATE,
    BUSINESS_UNIT_ID VARCHAR2(50),
    BUSINESS_UNIT_NAME VARCHAR2(100),
    FK_CITIZENSHIP_COUNTRY DECIMAL(38,0),
    CUSTOMFIELD_3 VARCHAR2(100),
    CUSTOMFIELD_4 VARCHAR2(100),
    CUSTOMFIELD_5 VARCHAR2(100),
    CUSTOMFIELD_6 VARCHAR2(100),
    CUSTOMFIELD_7 VARCHAR2(100),
    CUSTOMFIELD_8 VARCHAR2(100),
    CUSTOMFIELD_9 VARCHAR2(100),
    CUSTOMFIELD_10 VARCHAR2(4000),
    CUSTOMROLE_1 VARCHAR2(50),
    CUSTOMROLE_2 VARCHAR2(50),
    CUSTOMROLE_3 VARCHAR2(50),
    CUSTOMROLE_4 VARCHAR2(50),
    CUSTOMROLE_5 VARCHAR2(50),
    EMPLOYEE_ID VARCHAR2(50),
    COST_CENTRE_ID VARCHAR2(20),
    PERFORMANCE_RATING_ID VARCHAR2(20),
    PERFORMANCE_RATING VARCHAR2(100),
    POTENTIAL_RATING_ID VARCHAR2(20),
    POTENTIAL_RATING VARCHAR2(100),
    EMPLOYMENTTYPE_ID VARCHAR2(20),
    EMPLOYMENTTYPE_TITLE VARCHAR2(100),
    ISFULLTIME VARCHAR2(10),
    FUNCTION_ID VARCHAR2(20),
    FUNCTION_TITLE VARCHAR2(100),
    GRADE_ID VARCHAR2(20),
    GRADE_TITLE VARCHAR2(100),
    FK_HOME_COUNTRY NUMBER,
    JOB_ID VARCHAR2(20),
    JOB_TITLE VARCHAR2(100),
    JOB_CATEGORY VARCHAR2(100),
    LOCATION_ID VARCHAR2(20),
    LOCATION_TITLE VARCHAR2(100),
    FK_LOCATION_COUNTRY DECIMAL(38,0),
    POSITION_ID VARCHAR2(20),
    POSITION_TITLE VARCHAR2(100),
    REGION_ID VARCHAR2(20),
    REGION_TITLE VARCHAR2(100),
    SUB_BUSINESS_UNIT_ID VARCHAR2(20),
    SUB_BUSINESS_UNIT_NAME VARCHAR2(100),
    WORK_HOURS NUMBER(16,2),
    ALT_SEARCH_1 VARCHAR2(400),
    ALT_SEARCH_2 VARCHAR2(400),
    HAS_USER_UPLOADED_PICTURE NUMBER(1,0),
    BIRTHDAY_MMDD VARCHAR2(4),
    PAYROLL_GROUP  VARCHAR2(50),
    FORGOTTEN NUMBER(1,0) DEFAULT 0,
    PERSON_PROFILE_GUID VARCHAR2(40),
    INVOICING_ENTITY_ID VARCHAR2(50),
    FAILED_MOBILE_ATTEMPTS NUMBER(5,0),
    has_changed_password NUMBER(1,0) DEFAULT 0 NOT NULL,
    retired DATE,
    PRIMARY KEY (PK_PERSON)
);